CodBoxContainer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.client
Interface CodBoxContainer

All Known Implementing Classes:
  CodLookupControl

public interface CodBoxContainer

Title: OpenSwing Framework

Description: Code container interface: it must be defined by each code container.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`void` | `setEnabled(boolean enabled)` Callback called when the code input field abilitation is changed.
`void` | `validateCode(java.lang.String code)` Code validation event: this method must be implemented by code containers to validate the specified code.

Method Detail

### validateCode

    public void validateCode(java.lang.String code)
                      throws RestoreFocusOnInvalidCodeException

  Code validation event: this method must be implemented by code containers to validate the specified code.

  Parameters:
    `code` - code to validate
  Throws:
    `RestoreFocusOnInvalidCodeException`

### setEnabled

    public void setEnabled(boolean enabled)

  Callback called when the code input field abilitation is changed.

  Parameters:
    `enabled` - code input field abilitation

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD